package xn.hxp.room.tool;

import xn.hxp.room.RoomTool;
import xn.hxp.room.bean.BaseConfig;
import xn.hxp.room.bean.LabInfo;
import xn.hxp.room.dao.BaseConfigDao;
import xn.hxp.room.dao.LabInfoDao;

public enum BaseConfigTool {
    INSTANCE;

    private BaseConfigDao baseConfigDao;

    BaseConfigTool() {
        baseConfigDao = RoomTool.getInstance().baseConfigDao();
    }

    public void insert(BaseConfig baseConfig) {
        baseConfigDao.insert(baseConfig);
    }

    public BaseConfig getBaseConfig() {
        return baseConfigDao.getBaseConfig();
    }
}
